IPSW-DOWNLOAD-PCC(1)

NAME
ipsw-download-pcc - Download PCC VM files

SYNOPSIS
ipsw download pcc [INDEX] [flags]

DESCRIPTION
Download PCC VM files

OPTIONS
--app=""
    Filter by cloudOS application name (e.g. TIE, 'TIE Proxy')

--build=""
    Filter by cloudOS build version prefix (e.g. 5E, 5E290)

-h, --help[=false]
    help for pcc

-i, --info[=false]
    Show PCC Release info

--insecure[=false]
    do not verify ssl certs

--latest[=false]
    Show only the newest PCC release after filtering

--os-build=""
    Filter by OS ProductBuildVersion prefix (e.g. 23E5207q); resolved via partial-zip, cached

-o, --output=""
    Output directory to save files to

--proxy=""
    HTTP/HTTPS proxy

--restart-all[=false]
    always restart resumable IPSWs

--resume-all[=false]
    always resume resumable IPSWs

--skip-all[=false]
    always skip resumable IPSWs

--train=""
    Filter by cloudOS build train substring (e.g. LuckE)

-u, --urls[=false]
    Show compact release summaries and asset URLs without saving assets

--version=""
    Filter by OS ProductVersion prefix (e.g. 26.3); resolved via partial-zip, cached

--vphone[=false]
    Filter to OS IPSWs containing vphone600 firmware; resolved via partial-zip, cached

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

EXAMPLE
    # Show available PCC releases info
    ❯ ipsw download pcc --info
    # Show info for specific PCC release by index
    ❯ ipsw download pcc 42 --info
    # Download specific PCC release by index
    ❯ ipsw download pcc 42
    # Filter by cloudOS build prefix and pick interactively
    ❯ ipsw download pcc --build 5E --app TIE
    # Filter by OS BuildManifest ProductBuildVersion prefix
    ❯ ipsw download pcc --os-build 23E5207q --info
    # Show only releases whose OS IPSW contains vphone600 firmware
    ❯ ipsw download pcc --vphone --info
    # Show compact release summaries and labeled asset URLs
    ❯ ipsw download pcc --info --urls
    # Show only the newest vphone release as a compact summary
    ❯ ipsw download pcc --vphone --latest
    # Download PCC VM files interactively
    ❯ ipsw download pcc
    # Download to specific directory
    ❯ ipsw download pcc --output ./pcc-vms

SEE ALSO
ipsw-download(1)

HISTORY
5-Aug-2026 Auto generated by spf13/cobra